### Method

# Ggit Repository rebase_init

#### Declaration [src]

    GgitRebase*
    ggit_repository_rebase_init (
      GgitRepository* repository,
      GgitAnnotatedCommit* branch,
      GgitAnnotatedCommit* upstream,
      GgitAnnotatedCommit* onto,
      GgitRebaseOptions* options,
      GError** error
    )

#### Description [src]

Initializes a rebase operation to rebase the changes in `branch` relative to `upstream` onto another branch. To begin the rebase process, call git_rebase_next(). When you have finished with this object, call g_object_unref().

#### Parameters

`branch`

  Type: `GgitAnnotatedCommit`

  The terminal commit to rebase, or `NULL` to rebase the current branch.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`upstream`

  Type: `GgitAnnotatedCommit`

  The commit to begin rebasing from, or `NULL` to rebase all reachable commits.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`onto`

  Type: `GgitAnnotatedCommit`

  The branch to rebase onto, or `NULL` to rebase onto the given upstream.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`options`

  Type: `GgitRebaseOptions`

  A `GgitRebaseOptions` to specify how rebase is performed, or `NULL`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitRebase`

A newly allocated `GgitRebase`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.